This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1006223 - create command does not work for oo-admin-ctl-domain
create command does not work for oo-admin-ctl-domain
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 05:22 EDT by Nan Wei
Modified: 2015-05-14 20:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:50:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nan Wei 2013-09-10 05:22:12 EDT
Description of problem:
When an existing user creating a namespace using "oo-admin-ctl-domain" in the broker, it returns “User nwei@redhat.com already exists.  Please use the 'update' command to alter ssh keys or namespace“.But if the user is non-exist, it create successfully.

Version-Release number of selected component (if applicable):
devenv_3762

How reproducible:
100%

Steps to Reproduce:
1. Ensure a user is exist and does not have a namespace.
2. Create a domain in the broker using oo-admin-ctl-domain.
   #oo-admin-ctl-domain -c create -l nwei@redhat.com -n domainname

Actual results:
The output of oo-admin-ctl-domain is the following:
User nwei@redhat.com already exists.  Please use the 'update' command to alter ssh keys or namespace

Expected results:
When the exist user creating a namespace using oo-admin-ctl-domain, it should create successfully.

Additional info:
Comment 1 Abhishek Gupta 2013-09-10 14:44:07 EDT
Fixed with --> https://github.com/openshift/origin-server/pull/3604
Comment 3 Jianwei Hou 2013-09-11 04:36:44 EDT
Verified on devnev_3770, this issue is fixed

Note You need to log in before you can comment on or make changes to this bug.